[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# XLFDNameToLogFont

Gets a logical font record with values representing the specified XLFD font descriptor.

## Declaration

Source position: graphics.pp line 1960

`function XLFDNameToLogFont(`
`const XLFDName: string`
`):TLogFont;`

## Arguments

`XLFDName` |  | Font descriptor examined in the routine.

## Function result

TLogFont instance with values for the XLFD font.

## Description

XLFDName contains the font descriptor examined in the function. Its value consists of delimited segments that contain the attributes for the font, including:

Registry
  Ignored.
Foundry
  Ignored.
FamilyName
  Font family.
WeightName
  Font weight.
Slant
  Italic, Reverse Italic, Oblique.
SetwidthName
  Normal, Condensed, Narrow, Wide, Expanded.
AddStyleName
  Orientation or rotation.
PixelSize
  Height in pixels.
PointSize
  Height in points.
ResolutionX
  Horizontal resolution in points.
ResolutionY
  Vertical resolution in points.
Spacing
  Monospace, Proportional, Character Cell (Fixed Pitch).
AverageWidth
  Average character width.
CharSetRegistry
  Ignored.
CharSetCoding
  Ignored.

Values read from the segments are converted, translated, and massaged into the values expected in the logical font record.